<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <title>Document</title>
    <style>
        .main_card{
            display:flex;
            flex-direction: column;
            width:auto;
            flex-wrap: wrap;
            line-height: 20px;
            
        }
        .sub_div
        {
            display:flex;
            flex-direction: column;
            padding-bottom: 20px;
            /* width:20%; */
            height:auto;
            border:1px solid black;
            margin: 3px;
        }
        .title{
            color:rgb(158, 15, 98);
            font-weight : bold;
        }
        .cb-div-class
        {
            display: flex;
            flex-direction: row;
            border:10x solid black
        }
        .btn {
                background-color: white; 
                border: none; 
                color: grey; 
                font-size: 16px; 
                cursor: pointer; 
                float :right;
                }

                /* Darker background on mouse-over */
        .btn:hover {
                color: RoyalBlue;
                }
    </style>
</head>
<body>
    <div id="main_card" class="main_card">

    </div>
    <script>
        
        let main_div=document.getElementById("main_card")
        let params=new URLSearchParams(window.location.search)
        let xhr = new XMLHttpRequest();
        xhr.open('get', 'https://jsonplaceholder.typicode.com/posts?userId='+params.get('id'));
        xhr.responseType="json"
        xhr.send();
        xhr.onload = function() {

                
                 let posts_data =xhr.response;
                 postcards(posts_data)
                 console.log(posts_data)

                 function postcards(posts_data){
                 chkd_array=[]
                 for(i=0;i<posts_data.length;i++)
                 {
                     label=document.createElement("label")
                     label.setAttribute("for","c"+i)
                     let card_div=document.createElement("div")
                     card_div.className='sub_div'
                     card_div.setAttribute("id","div"+i)
                     cb_del=document.createElement("div")
                    //checkbox

                     let cb=document.createElement("input")
                     cb.type="checkbox"
                     cb.setAttribute("id","c"+i)
                     cb_del.appendChild(cb)
                    //icon delete
                    delete_button=document.createElement("button")
                    delete_button.innerHTML='<i class="fa fa-trash-o" aria-hidden="true"></i>'
                    delete_button.className='btn'
                    delete_button.setAttribute("id",+i)
                    //adding alert to delete button



                    delete_button.onclick=()=>{
                        cb.checked = "yes"
                        delete_function()}
                    
                        function delete_function(did)
                        {
                            prompt=confirm("Are u sure ??")
                            if(prompt==true){
    
                             for(i=0;i<posts_data.length;i++)
                             {
                                 chk=document.getElementById('c'+i)
                                 if(chk.checked==true)
                                 chkd_array.push(i)
                             }
                            console.log(chkd_array)
                            
                                 for(let i=0;i<chkd_array.length;i++)
                                 {
                                     let del = new XMLHttpRequest();
                                     del.open('delete', 'https://jsonplaceholder.typicode.com/posts/'+posts_data[chkd_array[i]].id);
                                     del.responseType="json"
                                     del.send();
                                     del.onload = function() {console.log(del.response)}
                                      div_ele=document.getElementById("div"+chkd_array[i])
                                   div_ele.remove()
                                 }
                            }
                            else
                            {
                                for(let i=0;i<posts_data.length;i++)
                            {
                                chk=document.getElementById('c'+i)
                                if(chk.checked==true)
                                chk.checked=false
                            }
                            }
                                
                        }

                    //icon edit
                    edit_button=document.createElement("button")
                    edit_button.innerHTML='<i class="fa fa-edit" aria-hidden="true"></i>'
                    edit_button.className='btn'
                    //appending
                    cb_del.appendChild(edit_button)
                    cb_del.appendChild(delete_button)
                    card_div.appendChild(cb_del)

                     let title_div=document.createElement("div")
                     let title=document.createTextNode(posts_data[i].title)
                     title_div.className='title'
                     title_div.appendChild(title)

                     let body_div=document.createElement("div")
                     let body1=document.createTextNode(posts_data[i].body)
                     body_div.appendChild(body1)

                     card_div.appendChild(title_div)
                     card_div.appendChild(body_div)
                    let xhr1= new XMLHttpRequest();
                    xhr1.open('get', 'https://jsonplaceholder.typicode.com/comments?postId='+posts_data[i].id);
                    xhr1.responseType="json"
                    xhr1.send();
                    xhr1.onload = function() {
                        comments=xhr1.response
                        cstart=comments.length-3
                        //comments section div
                        cdiv=document.createElement("div")
                        for(j=cstart;j<comments.length;j++)
                        {
                            //comments name
                            cname_div=document.createElement("div")
                            cname=document.createTextNode('cname: '+comments[j].name)
                            cname_div.append(cname)
                            cdiv.appendChild(cname_div)
                            //comments body
                            cbody_div=document.createElement("div")
                            cbody=document.createTextNode('cbody: '+comments[j].body)
                            cbody_div.append(cbody)
                            cdiv.appendChild(cbody_div)
                            //comments email
                            cemail_div=document.createElement("div")
                            cemail=document.createTextNode('cemail: '+comments[j].email)
                            cemail_div.append(cemail)
                            cdiv.appendChild(cemail_div)
                            
                        } card_div.appendChild(cdiv)
                       
                    } 
                    label.appendChild(card_div)
                     main_div.appendChild(label)
                 }
            };
        }
    
    </script>
</body>
</html>